Bug 99201 - gcc crashed if destructor calls subsequent function
Summary: gcc crashed if destructor calls subsequent function
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gcc (Show other bugs)
(Show other bugs)
Version: 7.2
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-07-15 21:04 UTC by Matt Ginsberg
Modified: 2007-04-18 16:55 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-24 14:35:27 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
c++ header file (2.69 KB, text/plain)
2003-07-15 21:05 UTC, Matt Ginsberg
no flags Details

Description Matt Ginsberg 2003-07-15 21:04:44 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020826

Description of problem:
gcc segfaults during the attempt to compile ~StabilizerChain in
the following file.  It's presumably the foward pointer to 
maybe_delete_labels that is causing it.  If I correct the input
so that it's maybe_delete_labels() as it should be, it's fine.

Version-Release number of selected component (if applicable):
gcc-2.96-112.7.2

How reproducible:
Always

Steps to Reproduce:
1.compile the above file (or something like it)
2.
3.
    

Actual Results:  gcc crashed

Expected Results:  it shouldn't have

Additional info:

Comment 1 Matt Ginsberg 2003-07-15 21:05:27 UTC
Created attachment 92942 [details]
c++ header file

Comment 2 Richard Henderson 2004-10-04 00:14:36 UTC
This test case is not self-contained.  Attach the output of -save-temps.

Comment 3 Jakub Jelinek 2004-11-24 14:35:27 UTC
If you have the self-contained testcase, please reopen.


Note You need to log in before you can comment on or make changes to this bug.